/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/BA.H__   1.5   20 Jun 1996 09:29:54   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/BA.H__  $
** 
**    Rev 1.5   20 Jun 1996 09:29:54   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.3   10 Jun 1996 10:24:32   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.1   29 May 1996 09:36:36   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// ba.h
//
// Michael Long
//                                                                           
// 5/13/96
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _BA_
#define _BA_

class BATool : public CToolOption
{      
// constructor/destructor
public:
    BATool() { SetDefault(); }
    
// attributes
public:      
    BOOL    m_fX;
    BOOL    m_fE;
    BOOL    m_fS;
    CString m_strMore;
    CString m_strPath;

    virtual LPCSTR GetToolName(void) const 
    {
        return "IAR A8051 Assembler";
    }

// operations
public:
    virtual void SetDefault(void);
    virtual BOOL LoadOption(FILE * fp);
    virtual BOOL SaveOption(FILE * fp);
    virtual CString GetOption(void) const;

// diagnostic
public:
#ifdef _DEBUG
    virtual void Dump(CDumpContext &dc) const;
#endif      
};

#endif // _BA_
